ELF_CNTL(3)

NAME
elf_cntl - perform control operations on an ELF descriptor

SYNOPSIS
#include <libelf.h>
int elf_cntl(Elf *elf, Elf_Cmd cmd);

DESCRIPTION
Perform control operations on the ELF descriptor elf according to the operation specified by cmd. The following commands are supported:

ELF_C_FDDONE
    This command tells libelf that the application is done using the file descriptor associated with the elf object. The file descriptor may then be closed immediately without affecting the in-memory ELF data. Unless all data has been read from the file descriptor (see ELF_C_FDREAD below) future operation on the Elf descriptor may fail.

ELF_C_FDREAD
    This command causes libelf to read the entire contents of the underlying file into memory immediately. libelf generally reads and parses elements of ELF files only when they are required. This command instead triggers libelf to read all elements immediately. Using this command ensures that ELF_C_FDDONE may be used without causing future operations on the Elf descriptor to fail.

RETURN VALUE
On success, returns 0. On failure, it returns -1 and sets an error that can be retrieved with elf_errmsg(3).

SEE ALSO
libelf(3), elf_errmsg(3), elf(5)

ATTRIBUTES
Interface Attribute Value

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.